# Created by pyp2rpm-3.3.2
%global pypi_name WsgiDAV

Name:           python-%{pypi_name}
Version:        2.4.1
Release:        1%{?dist}
Summary:        Generic and extendable WebDAV server based on WSGI

License:        MIT
URL:            https://github.com/mar10/wsgidav/
Source0:        https://files.pythonhosted.org/packages/source/W/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(defusedxml)
BuildRequires:  python3dist(jsmin)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)

%description
 ![logo](doc/logo.png?rawtrue) WsgiDAV [![Build Status]( [![Latest Version](
[![License]( [![Documentation Status]( generic and extendable [WebDAV]( server
written in Python and based on [WSGI](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(defusedxml)
Requires:       python3dist(jsmin)
Requires:       python3dist(pyyaml)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 ![logo](doc/logo.png?rawtrue) WsgiDAV [![Build Status]( [![Latest Version](
[![License]( [![Documentation Status]( generic and extendable [WebDAV]( server
written in Python and based on [WSGI](


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/wsgidav
%{python3_sitelib}/wsgidav
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Sep 30 2019 mockbuilder - 2.4.1-1
- Initial package.